#include <assert.h>
#include <stdio.h>
#include <algorithm>

// constraints
#define MAXN 1000000

// input data
int N, i;
int P[MAXN];
int G[MAXN];

int main() {
  assert(1 == scanf("%d", &N));
  for (i = 0; i < N; i++) assert(1 == scanf("%d", &P[i]));
  for (i = 0; i < N; i++) assert(1 == scanf("%d", &G[i]));

  long long sol = 0;
  int price = P[0];
  for (int i = 0; i < N; i++) {
    price = std::min(price, P[i]);
    sol += (long long)price * G[i];
  }

  printf("%lld\n", sol);
  return 0;
}
